@import "../../../style.scss";
:root {
  --PrimaryColor: hsl(94, 59%, 35%);
  --HoverColor: #bdf094;
  --paleGreen: hsl(96, 75%, 89%);
  --whiteColor: hsl(0, 0%, 100%);
  --blackColor: hsl(0, 0%, 100%);
  --textColor: hsl(240, 1%, 48%);
  --bgColor: hsl(220, 10%, 94%);
  --greyText: rgb(190, 190, 190);
  --inputColor: hsl(330, 12%, 97%);

  --biggestFontSize: 2.5rem;
  --h1FontSize: 1.5rem;
  --h2fontSize: 1.25rem;
  --h3FontSize: 1rem;
  --normalFontSize: 0.938rem;
  --smallFontSize: 0.813rem;
  --smallestFontSize: 0.75rem;
}

.sidebar {
  @include themify($themes) {
    box-shadow: 1px 0px 4px var(--greyText);
    width: 20%;
    height: 100%;
    overflow: auto;
    font-size: 1.2rem;
    padding-top: 20px;
    background-color: themed("bg");
    color: themed("textColor");

    .icon-list {
      display: none;
      font-size: 2.5rem;
      top: -18px;
      position: relative;
      margin-left: 4px;
    }
    @include tablet {
    }
    @include mobile {
      .sidebar-wrapper {
        display: none;
      }
      .icon-list {
        display: block;
      }
    }
    .logoDiv {
      padding: 1.5rem 0.8rem;
      cursor: pointer;
      img {
        max-width: 100%;
        border-radius: 2px;
        padding: 0.2rem;
        box-shadow: 0px 0px 25px -10px rgb(0 0 0 / 38%);
      }
    }

    .sidebar-wrapper {
      .sidebar-title {
        font-size: var(--h1FontSize);
        color: themed("textColor");
        padding: 0 1.5rem 1.5rem;
        font-weight: 600;
        @include tablet {
          font-size: 1rem;
        }
      }

      .sidebar-list {
        .sidebar-item {
          padding: 0.2rem 1.5rem;
          width: 100%;
          position: relative;
          color: themed("textColor");

          &::before {
            position: absolute;
            content: "";
            height: 0%;
            left: 0;
            width: 5px;
            bottom: 0;
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
            background: var(--PrimaryColor);
          }

          .menuLink {
            color: themed("textColor");
            font-weight: 500;
            transition: 0;
            @include tablet {
              &:hover {
                .sidebar-item-name {
                  display: block;
                  position: absolute;
                  width: 100%;
                  bottom: -25px;
                  color: #555;
                }
              }
            }
            .icon {
              margin-right: 0.5rem;
              position: relative;
              @include tablet {
                font-size: 2.5rem;
              }
            }

            .sidebar-item-name {
              @include tablet {
                display: none;
              }
            }
          }

          &:hover .menuLink {
            color: var(--PrimaryColor);
            transition: 0;
          }

          &:hover::before {
            height: 100%;
            transition: 0.3s ease;
          }
        }

        .sidebar-item.active {
          font-weight: 700;
          color: #bdf094;
        }
      }
    }

    .sideBarCard {
      width: 100%;
      padding: 1rem;
      text-align: center;
      position: relative;
      @include tablet {
        display: none;
      }

      .icon {
        position: absolute;
        background: var(--HoverColor);
        border: 10px soild var(--whiteColor);
        font-size: 3rem;
        border-radius: 50%;
        top: -8px;
        right: 50%;
        transform: translate(50%);
        z-index: 100;
      }

      .cardContent {
        position: relative;
        padding: 1rem;
        background: var(--HoverColor);
        border-radius: 10px;
        overflow: hidden;
      }
      h3 {
        font-size: var(--h3FontSize);
        margin-top: 1rem;
        padding: 1rem 0;
        font-weight: 800;
        color: var(--blackColor);
      }
      p {
        font-size: var(--normalFontSize);
        color: var(--textColor);
        padding-bottom: 1rem;
        font-weight: 500;
      }

      .circle1,
      .circle2 {
        position: absolute;
        background: var(--paleGreen);
        border-radius: 50%;
        opacity: 0.7;
      }

      .circle1 {
        height: 100px;
        width: 100px;
        top: -50px;
        left: -50px;
      }

      .circle2 {
        height: 150px;
        width: 150px;
        bottom: -80px;
        right: -70px;
        z-index: 1;
      }
    }
  }
}
